/**
 * Copyright 2013 Parallel Data Lab (Carnegie Mellon University)
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

/**
 * @file debug.h
 *
 * @brief Macros for debugging
 *
 * @author Anand Suresh <anandsuresh@cmu.edu>
 */

#ifndef __DEBUG_H_
#define __DEBUG_H_

#include <stdio.h>
#include <assert.h>



/* ======================= */
/* -- Macro Definitions -- */
/* ======================= */

#ifdef DEBUG
#define dbg(...) fprintf(stderr, __VA_ARGS__)
#else
#define dbg(...)
#endif          /* DEBUG */



#endif /* __DEBUG_H_ */
